SystemOrganization addCategory: #ConfigurationOfSpirit!

Object subclass: #ConfigurationOfSpirit
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfSpirit'!

!ConfigurationOfSpirit class methodsFor: 'development support' stamp: 'AlexandreBergel 11/17/2011 14:46'!
DevelopmentSupport

"See the methods in the 'development support' category on the class-side of MetacelloBaseConfiguration. Decide what development support methods you would like to use and copy them the the class-side of your configuration."
	<apiDocumentation>
! !

!ConfigurationOfSpirit class methodsFor: 'private' stamp: 'AlexandreBergel 11/17/2011 14:46'!
baseConfigurationClassIfAbsent: aBlock

	^Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			self ensureMetacelloBaseConfiguration.
			Smalltalk at: #MetacelloBaseConfiguration ifAbsent: aBlock ].
! !

!ConfigurationOfSpirit class methodsFor: 'private' stamp: 'AlexandreBergel 11/17/2011 14:46'!
ensureMetacello

	(self baseConfigurationClassIfAbsent: []) ensureMetacello! !

!ConfigurationOfSpirit class methodsFor: 'private' stamp: 'AlexandreBergel 11/17/2011 14:46'!
ensureMetacelloBaseConfiguration

	Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			| repository version |
			repository := MCHttpRepository location: 'http://seaside.gemstone.com/ss/metacello' user: '' password: ''.
			repository
				versionReaderForFileNamed: 'Metacello-Base-DaleHenrichs.2.mcz'
				do: [ :reader | 
					version := reader version.
					version load.
					version workingCopy repositoryGroup addRepository: repository ] ]! !

!ConfigurationOfSpirit class methodsFor: 'metacello tool support' stamp: 'AlexandreBergel 11/17/2011 14:46'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfSpirit class methodsFor: 'loading' stamp: 'AlexandreBergel 11/17/2011 14:46'!
load
	"Load the #stable version defined for this platform. The #stable version is the version that is recommended to be used on this platform."

	"self load"

	<apiDocumentation>
	^(self project version: #stable) load! !

!ConfigurationOfSpirit class methodsFor: 'loading' stamp: 'AlexandreBergel 11/17/2011 14:46'!
loadBleedingEdge
	"Load the latest versions of the mcz files defined for this project. It is not likely that the #bleedingEdge has been tested."

	"self loadBleedingEdge"

	<apiDocumentation>
	^(self project version: #bleedingEdge) load! !

!ConfigurationOfSpirit class methodsFor: 'loading' stamp: 'AlexandreBergel 11/17/2011 14:46'!
loadDevelopment
	"Load the #development version defined for this platform. The #development version will change over time and is not expected to be stable."

	"self loadDevelopment"

	<apiDocumentation>
	^(self project version: #development) load! !

!ConfigurationOfSpirit class methodsFor: 'accessing' stamp: 'AlexandreBergel 11/17/2011 14:46'!
project

	^self new project! !

!ConfigurationOfSpirit class methodsFor: 'development support' stamp: 'AlexandreBergel 11/17/2011 14:46'!
validate
	"Check the configuration for Errors, Critical Warnings, and Warnings (see class comment for MetacelloMCVersionValidator for more information). 
	Errors identify specification issues that will result in unexpected behaviour when you load the configuration. 
	Critical Warnings identify specification issues that may result in unexpected behavior when you load the configuration.
	Warnings identify specification issues that are technically correct, but are worth take a look at."

	"self validate"

	<apiDocumentation>
	self ensureMetacello.
	^ ((Smalltalk at: #MetacelloToolBox) validateConfiguration: self debug: #() recurse: false) explore! !

!ConfigurationOfSpirit methodsFor: 'baselines' stamp: 'AlexandreBergel 11/17/2011 14:46'!
baseline10: spec
	<version: '1.0-baseline'>

	spec for: #'common' do: [
		spec blessing: #'baseline'.
		spec repository: 'http://ss3.gemstone.com/ss/SPIRIT/'.
		spec package: 'Spirit'.
		spec group: 'default' with: #('Spirit' ). ].
! !

!ConfigurationOfSpirit methodsFor: 'baselines' stamp: 'SantiagoVidal 7/16/2012 14:43'!
baseline20: spec
	<version: '2.0-baseline'>

	spec for: #'common' do: [
		spec blessing: #'baseline'.
		spec repository: 'http://ss3.gemstone.com/ss/SPIRIT/'.
		spec package: 'Spirit';
		package: 'Spirit-Core';
		package: 'Spirit-Tests';
		package: 'Famix-Implementation';
		package: 'Moose-Core';
		package:'Moose-GenericImporter'.
		
		spec group: 'default' with: #('Spirit' 'Spirit-Core' 'Spirit-Tests'). 
	].
! !

!ConfigurationOfSpirit methodsFor: 'baselines' stamp: 'SantiagoVidal 7/21/2012 18:17'!
baseline21: spec
	<version: '2.1-baseline'>

	spec for: #'common' do: [
		spec blessing: #'baseline'.
		spec repository: 'http://ss3.gemstone.com/ss/SPIRIT/'.
		spec package: 'Spirit';
		package: 'Famix-Implementation';
		package: 'Moose-Core';
		package:'Moose-GenericImporter';
		package: 'Glamour-Roassal-Presentations' with: [
				spec repository: 'http://www.squeaksource.com/Glamour'.
				spec requires: 'Roassal'].
		spec group: 'default' with: #('Spirit'). 
		spec
			project: 'Roassal' with: [
				spec
					className: 'ConfigurationOfRoassal';
					file: 'ConfigurationOfRoassal';
					version: '1.61';
					repository: 'http://www.squeaksource.com/Roassal' ].	
	].
! !

!ConfigurationOfSpirit methodsFor: 'baselines' stamp: 'SantiagoVidal 7/21/2012 18:21'!
baseline22: spec
	<version: '2.2-baseline'>

	spec for: #'common' do: [
		spec blessing: #'baseline'.
		spec repository: 'http://ss3.gemstone.com/ss/SPIRIT/'.
		spec package: 'Spirit';
		package: 'Famix-Implementation';
		package: 'Moose-Core';
		package:'Moose-GenericImporter';
		package: 'Glamour-Roassal-Presentations' with: [
				spec repository: 'http://www.squeaksource.com/Glamour'.
				"spec requires: 'Roassal'"].
		spec group: 'default' with: #('Spirit'). 
		"spec
			project: 'Roassal' with: [
				spec
					className: 'ConfigurationOfRoassal';
					file: 'ConfigurationOfRoassal';
					version: '1.61';
					repository: 'http://www.squeaksource.com/Roassal' ]."	
	].
! !

!ConfigurationOfSpirit methodsFor: 'baselines' stamp: 'SantiagoVidal 10/5/2012 09:37'!
baseline25: spec
	<version: '2.5-baseline'>

	spec for: #'common' do: [
		spec blessing: #'baseline'.
		spec repository: 'http://ss3.gemstone.com/ss/SPIRIT/'.
		spec package: 'Spirit';
		package: 'Famix-Implementation';
		package: 'Moose-Core';
		package:'Moose-GenericImporter';
		package:'Merlin'.
		spec group: 'default' with: #('Spirit'). 
		"spec
			project: 'Roassal' with: [
				spec
					className: 'ConfigurationOfRoassal';
					file: 'ConfigurationOfRoassal';
					version: '1.61';
					repository: 'http://www.squeaksource.com/Roassal' ]."	
	].
! !

!ConfigurationOfSpirit methodsFor: 'symbolic versions' stamp: 'SantiagoVidal 10/5/2012 09:36'!
development: spec
	<symbolicVersion: #'development'>

	spec for: #'common' version: '2.5'.
! !

!ConfigurationOfSpirit methodsFor: 'accessing' stamp: 'AlexandreBergel 11/17/2011 14:46'!
project

	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		(self class baseConfigurationClassIfAbsent: []) ensureMetacello.
		"Construct Metacello project"
		constructor := (Smalltalk at: #MetacelloVersionConstructor) on: self.
		project := constructor project.
		project loadType: #linear. "change to #atomic if desired"
		project ]! !

!ConfigurationOfSpirit methodsFor: 'versions' stamp: 'AlexandreBergel 11/17/2011 14:47'!
version10: spec
	<version: '1.0' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '1.0 : created the configuration. Clean of the script to load'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '11/17/2011 14:47'.
		spec package: 'Spirit' with: 'Spirit-AlexandreBergel.14'. ].
! !

!ConfigurationOfSpirit methodsFor: 'versions' stamp: 'AlexandreBergel 11/17/2011 15:41'!
version11: spec
	<version: '1.1' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '1.0 : created the configuration. Clean of the script to load
1.1 : Cleaned a bit the scripts'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '11/17/2011 15:41'.
		spec package: 'Spirit' with: 'Spirit-AlexandreBergel.15'. ].
! !

!ConfigurationOfSpirit methodsFor: 'versions' stamp: 'AlexandreBergel 11/17/2011 16:05'!
version12: spec
	<version: '1.2' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '1.1 : Cleaned a bit the scripts
1.2 : improved the script of Roassal'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '11/17/2011 16:05'.
		spec package: 'Spirit' with: 'Spirit-AlexandreBergel.16'. ].
! !

!ConfigurationOfSpirit methodsFor: 'versions' stamp: 'AlexandreBergel 11/17/2011 17:06'!
version13: spec
	<version: '1.3' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '1.2 : improved the script of Roassal
1.3 : minor fix in easyLoaderRoassal'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '11/17/2011 17:06'.
		spec package: 'Spirit' with: 'Spirit-AlexandreBergel.17'. ].
! !

!ConfigurationOfSpirit methodsFor: 'versions' stamp: 'AlexandreBergel 11/17/2011 17:59'!
version14: spec
	<version: '1.4' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '1.3 : minor fix in easyLoaderRoassal
1.4 : clean'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '11/17/2011 17:59'.
		spec package: 'Spirit' with: 'Spirit-AlexandreBergel.18'. ].
! !

!ConfigurationOfSpirit methodsFor: 'versions' stamp: 'AlexandreBergel 11/21/2011 13:39'!
version15: spec
	<version: '1.5' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '1.4 : clean
1.5 : clean of the code'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '11/21/2011 13:39'.
		spec package: 'Spirit' with: 'Spirit-AlexandreBergel.20'. ].
! !

!ConfigurationOfSpirit methodsFor: 'versions' stamp: 'AlexandreBergel 12/1/2011 16:31'!
version16: spec
	<version: '1.6' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '1.5 : clean of the code
1.6 : JFreeChart script now in'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '12/1/2011 16:31'.
		spec package: 'Spirit' with: 'Spirit-SantiagoVidal.30'. ].
! !

!ConfigurationOfSpirit methodsFor: 'versions' stamp: 'AlexandreBergel 12/1/2011 16:41'!
version17: spec
	<version: '1.7' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '1.6 : JFreeChart script now in'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '12/1/2011 16:41'.
		spec package: 'Spirit' with: 'Spirit-SantiagoVidal.30'. ].
! !

!ConfigurationOfSpirit methodsFor: 'versions' stamp: 'SantiagoVidal 7/16/2012 14:45'!
version18: spec
	<version: '1.8' imports: #('2.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: 'First public release'.
		spec author: 'SantiagoVidal'.
		spec timestamp: '16/7/2012 14:41'.
		spec 
			package: 'Spirit' with: 'Spirit-SantiagoVidal.151';
			package: 'Spirit-Core' with: 'Spirit-Core-SantiagoVidal.1';
			package: 'Spirit-Tests' with: 'Spirit-Tests-SantiagoVidal.4';
			package: 'Famix-Implementation' with:'Famix-Implementation-SantiagoVidal.99';
			package: 'Moose-Core' with:'Moose-Core-SantiagoVidal.378';
			package:'Moose-GenericImporter' with:'Moose-GenericImporter-SantiagoVidal.44'.
		].
! !

!ConfigurationOfSpirit methodsFor: 'versions' stamp: 'SantiagoVidal 7/16/2012 18:08'!
version19: spec
	<version: '1.9' imports: #('2.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: 'Hot spots ordering by different criteria'.
		spec author: 'SantiagoVidal'.
		spec timestamp: '16/7/2012 14:41'.
		spec 
			package: 'Spirit' with: 'Spirit-SantiagoVidal.153';
			package: 'Spirit-Core' with: 'Spirit-Core-SantiagoVidal.1';
			package: 'Spirit-Tests' with: 'Spirit-Tests-SantiagoVidal.4';
			package: 'Famix-Implementation' with:'Famix-Implementation-SantiagoVidal.99';
			package: 'Moose-Core' with:'Moose-Core-SantiagoVidal.378';
			package:'Moose-GenericImporter' with:'Moose-GenericImporter-SantiagoVidal.44'.
		].
! !

!ConfigurationOfSpirit methodsFor: 'versions' stamp: 'SantiagoVidal 7/20/2012 10:58'!
version20: spec
	<version: '2.0' imports: #('2.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: 'Rankings are working. Smalltalk systems supported. Scenarios based on history'.
		spec author: 'SantiagoVidal'.
		spec timestamp: '20/7/2012 14:41'.
		spec 
			package: 'Spirit' with: 'Spirit-SantiagoVidal.165';
			package: 'Famix-Implementation' with:'Famix-Implementation-SantiagoVidal.100';
			package: 'Moose-Core' with:'Moose-Core-SantiagoVidal.378';
			package:'Moose-GenericImporter' with:'Moose-GenericImporter-SantiagoVidal.44'.
		].
! !

!ConfigurationOfSpirit methodsFor: 'versions' stamp: 'SantiagoVidal 7/21/2012 18:20'!
version21: spec
	<version: '2.1' imports: #('2.2-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: 'Roasall presentation for glamour'.
		spec author: 'SantiagoVidal'.
		spec timestamp: '21/7/2012 14:41'.
		spec package: 'Glamour-Roassal-Presentations' with:'Glamour-Roassal-Presentations-TudorGirba.5'.
		spec 
			package: 'Spirit' with: 'Spirit-SantiagoVidal.165';
			package: 'Famix-Implementation' with:'Famix-Implementation-SantiagoVidal.100';
			package: 'Moose-Core' with:'Moose-Core-SantiagoVidal.378';
			package:'Moose-GenericImporter' with:'Moose-GenericImporter-SantiagoVidal.44'.
		].
! !

!ConfigurationOfSpirit methodsFor: 'versions' stamp: 'SantiagoVidal 7/24/2012 12:20'!
version22: spec
	<version: '2.2' imports: #('2.2-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: 'Exhibisionism of classes'.
		spec author: 'SantiagoVidal'.
		spec timestamp: '24/7/2012 14:41'.
		spec package: 'Glamour-Roassal-Presentations' with:'Glamour-Roassal-Presentations-TudorGirba.5'.
		spec 
			package: 'Spirit' with: 'Spirit-SantiagoVidal.169';
			package: 'Famix-Implementation' with:'Famix-Implementation-SantiagoVidal.100';
			package: 'Moose-Core' with:'Moose-Core-SantiagoVidal.378';
			package:'Moose-GenericImporter' with:'Moose-GenericImporter-SantiagoVidal.44'.
		].
! !

!ConfigurationOfSpirit methodsFor: 'versions' stamp: 'SantiagoVidal 10/5/2012 09:39'!
version25: spec
	<version: '2.5' imports: #('2.5-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: 'God classes solver'.
		spec author: 'SantiagoVidal'.
		spec timestamp: '5/10/2012 9:38'.
	
		spec 
			package: 'Spirit' with: 'Spirit-SantiagoVidal.209';
			package: 'Famix-Implementation' with:'Famix-Implementation-SantiagoVidal.100';
			package: 'Moose-Core' with:'Moose-Core-SantiagoVidal.378';
			package:'Moose-GenericImporter' with:'Moose-GenericImporter-SantiagoVidal.44';
			package:'Merlin' with:'Merlin-SantiagoVidal.140'.
		].
! !
